Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.security
Class FlowDefinitionSource

    java.lang.Object
      com.jaspersoft.jasperserver.war.security.FlowDefinitionSource

All Implemented Interfaces:
  org.acegisecurity.intercept.ObjectDefinitionSource

    public class FlowDefinitionSource

extends java.lang.Object
implements org.acegisecurity.intercept.ObjectDefinitionSource

Version:
  $Id: FlowDefinitionSource.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected static java.lang.String` | `DEFAULT_FLOW`

Constructor Summary
`FlowDefinitionSource()`

Method Summary
`void` | `addFlow(java.lang.String flowId, org.acegisecurity.ConfigAttributeDefinition attributes)`
`org.acegisecurity.ConfigAttributeDefinition` | `getAttributes(java.lang.Object object)`
`java.util.Iterator` | `getConfigAttributeDefinitions()`
`boolean` | `supports(java.lang.Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FLOW

    protected static final java.lang.String DEFAULT_FLOW

See Also:
  Constant Field Values

Constructor Detail

### FlowDefinitionSource

    public FlowDefinitionSource()

Method Detail

### addFlow

    public void addFlow(java.lang.String flowId,
                        org.acegisecurity.ConfigAttributeDefinition attributes)

### getAttributes

    public org.acegisecurity.ConfigAttributeDefinition getAttributes(java.lang.Object object)
                                                              throws java.lang.IllegalArgumentException

  Specified by:
    `getAttributes` in interface `org.acegisecurity.intercept.ObjectDefinitionSource`
  Throws:
    `java.lang.IllegalArgumentException`

### getConfigAttributeDefinitions

    public java.util.Iterator getConfigAttributeDefinitions()

  Specified by:
    `getConfigAttributeDefinitions` in interface `org.acegisecurity.intercept.ObjectDefinitionSource`

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.acegisecurity.intercept.ObjectDefinitionSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.